﻿<%@ Page Language="C#" MasterPageFile="~/WebSiteMaster.Master" AutoEventWireup="true"
    CodeBehind="About.aspx.cs" Inherits="TV4Home.WebInterface.UI.About" Culture="auto" %>

<asp:Content ContentPlaceHolderID="CSSPlaceHolder" runat="server">
</asp:Content>
<asp:Content ContentPlaceHolderID="ScriptsPlaceHolder" runat="server">
    <script type="text/javascript" src="scripts/About.js?nocache=1"></script>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderOutsideUpdatePanel" runat="server">
    <h1>
        <asp:Label ID="lblPageTitle" runat="server" Text="<%$ Resources: lblPageTitle_Text %>"></asp:Label>
    </h1>
    <asp:Image ID="imgLogo" ImageUrl="~/style/images/TV4Home_Logo.png" runat="server" />
    <h2>
        <asp:Label ID="lblTV4HomeWebInterface" runat="server" Text="<%$ Resources : lblTV4HomeWebInterface_Text %>"></asp:Label>
    </h2>
    <asp:Label ID="lblDevelopedBy" runat="server" Text="<%$ Resources : lblDevelopedBy_Text %>"
        Font-Underline="true"></asp:Label>
    <br />
    <br />
    <asp:Label ID="lblAuthor1" runat="server" Text="Alexander Köplinger"></asp:Label>
    <br />
    <asp:Label ID="lblAuthor2" runat="server" Text="Tobias Lindener"></asp:Label>
    <br />
    <br />
    <asp:Label ID="lblProjectSite" runat="server" Text="<%$ Resources : lblProjectSite_Text %>"></asp:Label>
    <br />
    <br />
    <asp:Label ID="lblLicense" runat="server" Text="<%$ Resources : lblLicense_Text %>"
        Font-Underline="true"></asp:Label>
    <br />
    <asp:Label ID="lblGPLNote" runat="server" Text="This software is licensed under the GPLv2 (GNU General Public License). Read the full license text at <a href=http://www.gnu.org/licenses/gpl-2.0.html>http://www.gnu.org/licenses/gpl-2.0.html</a>."></asp:Label>
    <br />
    <br />
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderUpdatePanel" runat="server">
    <asp:Label ID="lblUpdates" runat="server" Text="Updates:" Font-Underline="true"></asp:Label>
    <br />
    <asp:Label ID="lblWebinterfaceVersionDescr" runat="server" Text="<%$ Resources : lblWebinterfaceVersionDescr_Text %>"></asp:Label>
    <asp:Label ID="lblWebinterfaceVersion" runat="server"><%=TV4Home.WebInterface.UI.Code.Utils.Misc.WebsiteVersion%></asp:Label>
    <br />
    <br />
    <asp:Button ID="btnCheckForUpdates" runat="server" Text="<%$ Resources : btnCheckForUpdates_Text %>"
        OnClick="btnCheckForUpdates_Click" />
    <asp:MultiView ID="mvUpdateCheck" runat="server">
        <asp:View ID="viewUpToDate" runat="server">
            <asp:Label ID="lblUpToDate" runat="server" Text="<%$ Resources : lblUpToDate_Text %>"
                ForeColor="Green"></asp:Label>
        </asp:View>
        <asp:View ID="viewNewerVersionAvailable" runat="server">
            <asp:Label ID="lblNewerVersionDescr" runat="server" Text="<%$ Resources : lblNewerVersionDescr_Text %>"
                ForeColor="Green"></asp:Label>
            <asp:Label ID="lblNewerVersion" runat="server" ForeColor="Green"></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblReleaseNotesDescr" runat="server" Text="<%$ Resources : lblReleaseNotesDescr_Text %>"
                Font-Underline="true"></asp:Label><br />
            <asp:Label ID="lblReleaseNotes" runat="server" Font-Size="Small"></asp:Label>
        </asp:View>
        <asp:View ID="viewError" runat="server">
            <asp:Label ID="lblError" runat="server" Text="<%$ Resources : lblError_Text %>" ForeColor="Red"
                Visible="false"></asp:Label>
        </asp:View>
    </asp:MultiView>
</asp:Content>
