﻿<%@ Page Language="C#" MasterPageFile="WebSiteMaster.Master" AutoEventWireup="true"
    CodeBehind="BugReport.aspx.cs" Inherits="TV4Home.WebInterface.UI.BugReport" ValidateRequest="false" %>

<asp:Content ContentPlaceHolderID="ScriptsPlaceHolder" runat="server">
    <script type="text/javascript" src="scripts/BugReport.js?nocache=1"></script>
</asp:Content>
<asp:Content ContentPlaceHolderID="CSSPlaceHolder" runat="server">
    <link href="style/BugReport.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderOutsideUpdatePanel" runat="Server">
    <asp:MultiView ID="MultiViewMain" runat="server" ActiveViewIndex="0">
        <asp:View ID="ReportBugView" runat="server">
            <div style="margin-left: 20px">
                <h1>
                    <asp:Label ID="lblHeaderTitle" runat="server" Text="<%$ Resources : lblHeaderTitle_Text %>"></asp:Label>
                </h1>
                <p>
                    <asp:Label ID="lblDesrc1" runat="server" Text="<%$ Resources : lblDesrc1_Text %>"></asp:Label>
                </p>
                <p>
                    <asp:Label ID="lblDescr2" runat="server" Text="<%$ Resources : lblDescr2_Text %>"></asp:Label>
                </p>
                <p>
                    <asp:Label ID="lblVisitCodeplex" runat="server" Text="<%$ Resources : lblVisitCodeplex_Text %>"></asp:Label>
                </p>
                <hr />
                <br />
                <asp:Label ID="lblTitleDescr" runat="server" Text="<%$ Resources:lblTitleDescr_Text %>"></asp:Label>
                <br />
                <asp:TextBox ID="txtTitle" runat="server" class="required" minlength="3" MaxLength="80"
                    Width="333px"></asp:TextBox>
                <br />
                <br />
                <asp:Label ID="lblTypeDescr" runat="server" Text="<%$ Resources : lblTypeDescr_Text %>"></asp:Label>
                <br />
                <asp:RadioButton ID="rbIssue" runat="server" Text="<%$ Resources : rbIssue_Text %>"
                    Checked="True" GroupName="ReportBug" />
                &nbsp;&nbsp;
                <asp:RadioButton ID="rbFeature" runat="server" Text="<%$ Resources : rbFeature_Text %>"
                    GroupName="ReportBug" />
                <br />
                <br />
                <asp:Label ID="lblPriorityDescr" runat="server" Text="<%$ Resources : lblPriorityDescr_Text %>"></asp:Label>
                <asp:RadioButtonList ID="rblPriority" RepeatDirection="Horizontal" runat="server"
                    RepeatLayout="Flow">
                    <asp:ListItem Value="0" Selected="True" Text="<%$ Resources : rblPriority_Low_Text %>"></asp:ListItem>
                    <asp:ListItem Value="1" Text="<%$ Resources : rblPriority_Medium_Text %>"></asp:ListItem>
                    <asp:ListItem Value="2" Text="<%$ Resources : rblPriority_High_Text %>"></asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <asp:Label ID="lblPriorityExplanation" runat="server" Text="<%$ Resources : lblPriorityExplanation_Text %>"
                    Font-Size="Small"></asp:Label>
                <br />
                <br />
                <asp:Label ID="lblDescriptionDescr" runat="server" Text="<%$ Resources : lblDescriptionDescr_Text %>"></asp:Label>
                <br />
                <asp:TextBox ID="txtDescription" class="required DescriptionTextBox" minlength="10"
                    runat="server" TextMode="MultiLine"></asp:TextBox>
                <br />
                <br />
                <asp:Label ID="lblAttachmentDescr" runat="server" Text="<%$ Resources : lblAttachmentDescr_Text %>"></asp:Label>
                <br />
                <div>
                    <div class="AttachmentControlVisible">
                        <asp:FileUpload ID="fuAttachment1" runat="server" Width="400px" />
                        <br />
                    </div>
                    <div class="AttachmentControlHidden">
                        <asp:FileUpload ID="fuAttachment2" runat="server" Width="400px" />
                        <br />
                    </div>
                    <div class="AttachmentControlHidden">
                        <asp:FileUpload ID="fuAttachment3" runat="server" Width="400px" />
                        <br />
                    </div>
                    <div class="AttachmentControlHidden">
                        <asp:FileUpload ID="fuAttachment4" runat="server" Width="400px" />
                        <br />
                    </div>
                    <asp:HyperLink ID="hlAttachmentAdd" runat="server" Text="<%$ Resources : hlAttachmentAdd_Text %>"
                        NavigateUrl="javascript:AddAttachmentControl();"></asp:HyperLink>
                    <asp:HyperLink ID="hlAttachmentRemove" runat="server" Text="<%$ Resources : hlAttachmentRemove_Text %>"
                        NavigateUrl="javascript:RemoveAttachmentControl();" Style="display: none"></asp:HyperLink>
                </div>
                <br />
                <br />
                <div>
                    <b>
                        <asp:Label ID="lblNote" Text="<%$ Resources : lblNote_Text %>" runat="server"></asp:Label>
                    </b>&nbsp;
                    <asp:Label ID="lblProjectUsesThe" runat="server" Text="<%$ Resources : lblProjectUsesThe_Text %>"></asp:Label>
                    <br />
                    <br />
                    <asp:Button ID="btnSubmit" runat="server" Height="33px" OnClick="btnSubmit_Click"
                        Text="<%$ Resources : btnSubmit_Text %>" Width="77px" />
                </div>
            </div>
        </asp:View>
        <asp:View ID="ThankYouView" runat="server">
            <asp:Panel ID="pnSuccess" runat="server">
                <br />
                <asp:Label ID="lblThankYou" runat="server" Text="<%$ Resources:lblThankYou_Text %>"></asp:Label>
                <br />
                <br />
                <asp:Label ID="lblEnteredToDB" runat="server" Text="<%$ Resources : lblEnteredToDB_Text %>"></asp:Label>
                <asp:Label ID="lblIssueID" runat="server" Text="Guid"></asp:Label>
                <br />
                <asp:Label ID="lblMightTakeSomeTime" runat="server" Text="<%$ Resources : lblMightTakeSomeTime_Text %>"></asp:Label>
                <br />
                <br />
                <asp:Label ID="lblSearchForBugReport" runat="server" Text="<%$ Resources : lblSearchForBugReport_Text %>"></asp:Label>
                <asp:HyperLink ID="hlWorkItemLink" NavigateUrl="http://tv4home.codeplex.com/workitem/list/basic?keywords={0}&issuesToDisplay=All"
                    runat="server">Link</asp:HyperLink>
            </asp:Panel>
            <asp:Panel ID="pnError" runat="server" Visible="False">
                <br />
                <asp:Label ID="lblError" runat="server" Text="<%$ Resources : lblError_Text %>"></asp:Label>
                <br />
            </asp:Panel>
            <br />
        </asp:View>
    </asp:MultiView>
</asp:Content>
