﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="NavigationControl.ascx.cs"
    Inherits="TV4Home.WebInterface.UI.Controls.NavigationControl" %>
<%@ Register TagPrefix="CustomControls" Src="TabButtonControl.ascx" TagName="TabButtonControl" %>
<%@ Register TagPrefix="CustomControls" Src="HoverButtonControl.ascx" TagName="HoverButtonControl" %>
<div class="NavPanel">
    <div class="NavLeft">
    </div>
    <div class="NavRight">
    </div>
    <div id="Navigation" class="Nav" runat="server">
        <CustomControls:TabButtonControl ID="tbcHome" Text="<%$ Resources : tbcHome_TabText %>"
            ImageURL="~/style/images/Home.png" TargetURL="~/Default.aspx" runat="server" />
        <CustomControls:TabButtonControl ID="tbcTVGuide" Text="<%$ Resources : tbcTVGuide_TabText %>"
            ImageURL="~/style/images/TVGuide.png" TargetURL="~/TVGuide.aspx" runat="server" />
        <CustomControls:TabButtonControl ID="tbcRecordings" Text="<%$ Resources : tbcRecordings_TabText %>"
            ImageURL="~/style/images/Recordings.png" TargetURL="~/Recordings.aspx" runat="server" />
        <%--<CustomControls:TabButtonControl ID="tbcLiveTV" Text="<%$ Resources : tbcLiveTV_TabText %>"
            ImageURL="~/style/images/LiveTV.png" TargetURL="~/LiveTV.aspx" runat="server" />--%>
        <CustomControls:TabButtonControl ID="tbcSettings" Text="<%$ Resources : tbcSettings_TabText %>"
            ImageURL="~/style/images/Settings.png" TargetURL="~/Settings.aspx" runat="server" />
        <div class="NavLogo">
            <asp:Image ID="ImageLogo" runat="server" ImageUrl="~/style/images/TV4Home_Logo_small.png" CssClass="TV4HomeLogo" />
            <br />
            <div class="NavHelpAbout">
                <CustomControls:HoverButtonControl ID="hbvHelp" Text="<%$ Resources : hbvHelp_HoverButtonText %>"
                    ImageURL="~/style/images/Help2.png" TargetURL="~/Help/Help.aspx" runat="server" />
                <CustomControls:HoverButtonControl ID="hbvAbout" Text="<%$ Resources : hbvAbout_HoverButtonText %>"
                    ImageURL="~/style/images/Info.png" TargetURL="~/About.aspx" runat="server" />
            </div>
        </div>
    </div>
</div>
