﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TV4Home.WebInterface.UI.Code;

namespace TV4Home.WebInterface.UI.Controls
{
    public partial class TabButtonControl : NavigationButtonBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPressed)
            {
                this.pnTab.CssClass += " TabButtonPressed";
                this.lblTabText.CssClass += " TabButtonTextPressed";
            }

            this.imgTabImage.ImageUrl = this.ImageURL;
            this.lblTabText.Text = this.Text;
            this.btnTabButton.NavigateUrl = this.TargetURL;
        }
    }
}