﻿<%@ Page Language="C#" MasterPageFile="WebSiteMaster.Master" AutoEventWireup="true"
    CodeBehind="Recordings.aspx.cs" Inherits="TV4Home.WebInterface.UI.Recordings" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolderOutsideUpdatePanel" runat="Server">
    <h1>
        <asp:Label ID="lblPageTitle" runat="server" Text="<%$ Resources : lblPageTitle_Text %>"></asp:Label>
    </h1>
    <p>
        <asp:Label ID="lblPageDescription" runat="server" Text="<%$ Resources : lblPageDescription_Text %>"></asp:Label>
    </p>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderUpdatePanel" runat="Server">
    <p>
        <b>
            <asp:Label ID="lblScheduledRecordings" runat="server" Text="<%$ Resources : lblScheduledRecordings_Text %>"></asp:Label>
        </b>
    </p>
    <p>
        <asp:DataList ID="DataList1" runat="server" BackColor="LightGoldenrodYellow" BorderColor="Tan"
            BorderWidth="1px" CellPadding="2" ForeColor="Black"
            Width="800px" OnItemCommand="DataList1_ItemCommand" OnItemDataBound="DataList1_ItemDataBound">
            <FooterStyle BackColor="Tan" />
            <AlternatingItemStyle BackColor="PaleGoldenrod" />
            <SelectedItemStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
            <HeaderStyle BackColor="Tan" Font-Bold="True" />
            <ItemTemplate>
                <b>
                    <asp:Label ID="lblProgramName" runat="server" />
                </b>
                <br />
                <asp:Label ID="lblChannel" runat="server"></asp:Label>
                <br />
                <asp:Label ID="lblDate" runat="server" />,&nbsp;
                <asp:Label ID="lblStartTime" runat="server" />
                -
                <asp:Label ID="lblEndTime" runat="server" />
                <br />
                <asp:LinkButton ID="btnShowDetails" runat="server" Text="<%$ Resources : btnShowDetails_Text %>"
                    CommandName="select" />
            </ItemTemplate>
            <SelectedItemTemplate>
                ProgramName:
                <asp:Label ID="ProgramNameLabel" runat="server" Text='<%# Eval("ProgramName") %>' />
                <br />
                StartTime:
                <asp:Label ID="StartTimeLabel" runat="server" Text='<%# Eval("StartTime") %>' />
                <br />
                EndTime:
                <asp:Label ID="EndTimeLabel" runat="server" Text='<%# Eval("EndTime") %>' />
                <br />
                <br />
                <%-- ScheduleType:
                <asp:Label ID="ScheduleTypeLabel" runat="server" Text='<%# Eval("ScheduleType") %>'
                     />
                <br />
                IsManual:
                <asp:Label ID="IsManualLabel" runat="server" Text='<%# Eval("IsManual") %>'  />
                <br />
                MaxAirings:
                <asp:Label ID="MaxAiringsLabel" runat="server" Text='<%# Eval("MaxAirings") %>'  />
                <br />
                Priority:
                <asp:Label ID="PriorityLabel" runat="server" Text='<%# Eval("Priority") %>'  />
                <br />
                Directory:
                <asp:Label ID="DirectoryLabel" runat="server" Text='<%# Eval("Directory") %>'  />
                <br />
                Quality:
                <asp:Label ID="QualityLabel" runat="server" Text='<%# Eval("Quality") %>'  />
                <br />
                KeepMethod:
                <asp:Label ID="KeepMethodLabel" runat="server" Text='<%# Eval("KeepMethod") %>'  />
                <br />
                KeepDate:
                <asp:Label ID="KeepDateLabel" runat="server" Text='<%# Eval("KeepDate") %>'  />
                <br />
                PreRecordInterval:
                <asp:Label ID="PreRecordIntervalLabel" runat="server" Text='<%# Eval("PreRecordInterval") %>'
                     />
                <br />
                PostRecordInterval:
                <asp:Label ID="PostRecordIntervalLabel" runat="server" Text='<%# Eval("PostRecordInterval") %>'
                     />
                <br />
                Canceled:
                <asp:Label ID="CanceledLabel" runat="server" Text='<%# Eval("Canceled") %>'  />
                <br />
                DoesUseEpisodeManagement:
                <asp:Label ID="DoesUseEpisodeManagementLabel" runat="server" Text='<%# Eval("DoesUseEpisodeManagement") %>'
                     />
                <br />
                Series:
                <asp:Label ID="SeriesLabel" runat="server" Text='<%# Eval("Series") %>'  />
                <br />
                QualityType:
                <asp:Label ID="QualityTypeLabel" runat="server" Text='<%# Eval("QualityType") %>'
                     />
                <br />
                BitRateMode:
                <asp:Label ID="BitRateModeLabel" runat="server" Text='<%# Eval("BitRateMode") %>'
                     />
                <br />--%>
                <br />
            </SelectedItemTemplate>
        </asp:DataList>
        <br />
    </p>
    <p>
    </p>
</asp:Content>
