﻿using System;
using System.Collections.Generic;
using System.IdentityModel.Selectors;
using System.IdentityModel.Tokens;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Web;
using TV4Home.WebInterface.UI.Code;

namespace TV4Home.WebInterface.UI.WebService
{
    public class WebServiceProtection : UserNamePasswordValidator
    {
        private static int falseRequestCount = 0;

        public override void Validate(string userName, string password)
        {
            // sleep to prevent brute-force attacks
            if (falseRequestCount > 0)
                System.Threading.Thread.Sleep(falseRequestCount * 100);

            if (userName == "TV4Home_WebService" && password == WebsiteSettings.WebServiceAccessCode)
            {
                // correct password
                falseRequestCount = 0;
                return;
            }

            // false password
            falseRequestCount++;
            throw new FaultException("Unknown username or incorrect password!");
        }
    }
}