﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TV4Home.WebInterface.UI.Code;

namespace TV4Home.WebInterface.UI.Controls
{
    public partial class HoverButtonControl : NavigationButtonBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPressed)
            {
                this.pnHoverButton.CssClass += " HoverButtonPressed";
                this.lblHoverButtonText.CssClass += " HoverButtonTextPressed";
            }

            this.imgHoverButtonImage.ImageUrl = this.ImageURL;
            this.lblHoverButtonText.Text = this.Text;
            this.btnHoverButton.NavigateUrl = this.TargetURL;
        }
    }
}