﻿<%@ Page Language="C#" MasterPageFile="WebSiteMaster.Master" AutoEventWireup="true"
    CodeBehind="LiveTV.aspx.cs" Inherits="TV4Home.WebInterface.UI.LiveTV" %>

<asp:Content ContentPlaceHolderID="ScriptsPlaceHolder" runat="Server">
    <script type="text/javascript" src="MediaStreaming/flowplayer/flowplayer-3.1.4.min.js"></script>
    <script type="text/javascript" src="scripts/Utils.js"></script>
    <script type="text/javascript" src="scripts/LiveTV.js"></script>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderOutsideUpdatePanel" runat="Server">
    <h1>
        <asp:Label ID="lblPageTitle" runat="server" Text="<%$ Resources : lblPageTitle_Text %>"></asp:Label>
    </h1>
</asp:Content>
<asp:Content ContentPlaceHolderID="ContentPlaceHolderUpdatePanel" runat="Server">
    <asp:Panel ID="pnTVControls" runat="server">
        <asp:DropDownList ID="ddlChannels" runat="server">
        </asp:DropDownList>
        <asp:Button ID="btnWatchChannel" runat="server" Text="Watch" OnClick="btnWatchChannel_Click" />
    </asp:Panel>
    <asp:Panel ID="tvControlHost" class="LiveTVVideoPlayer" runat="server">
        <asp:CheckBox ID="chkShowEncOutput" Text=" <%$ Resources: chkShowEncOutput_Text %>"
            runat="server" />
        <br />
        <textarea id="encOutput" rows="10" cols="100"></textarea>
    </asp:Panel>
</asp:Content>
