﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProgramInfoDialog.aspx.cs"
    Inherits="TV4Home.WebInterface.UI.ProgramInfoDialog" %>

<%@ Register TagPrefix="CustomControls" Src="Controls/LoadingProgressControl.ascx"
    TagName="LoadingProgressControl" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title></title>
    <link href="style/StyleSheet.css" rel="stylesheet" type="text/css" />
    <link id="ProgramInfoDialogStyleSheet" rel="stylesheet" type="text/css" runat="server" />
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
    <script type="text/javascript" src="scripts/ProgramInfoDialog.js?nocache=1"></script>
</head>
<body>
    <form runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" DisplayAfter="0">
        <ProgressTemplate>
            <CustomControls:LoadingProgressControl ID="LoadingProgressControl1" runat="server" />
        </ProgressTemplate>
    </asp:UpdateProgress>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:Panel ID="pnError" runat="server" Visible="False">
                <asp:Label ID="lblError" runat="server"></asp:Label>
            </asp:Panel>
            <asp:Panel ID="pnContent" runat="server">
                <b>
                    <asp:Label ID="lblTitle" runat="server" />
                </b>
                <br />
                <br />
                <asp:Label ID="lblChannel" runat="server" />
                <br />
                <asp:Label ID="lblStart" runat="server" />
                -
                <asp:Label ID="lblEnd" runat="server" />
                <br />
                <br />
                <asp:Label ID="lblScheduledForRecording" runat="server" Text="<%$ Resources : lblScheduledForRecording_Text %>"></asp:Label>
                <asp:Label ID="lblIsRecording" runat="server"></asp:Label>
                ,
                <asp:Label ID="lblSeriesDescr" runat="server" Text="<%$ Resources : lblSeriesDescr_Text %>"></asp:Label>
                <asp:Label ID="lblIsSeries" runat="server"></asp:Label>
                <br />
                <br />
                <asp:Label ID="lblGenreDescr" runat="server" Text="<%$ Resources : lblGenreDescr_Text %>"
                    Font-Underline="True"></asp:Label>
                <br />
                <asp:Label ID="lblGenre" runat="server" />
                <br />
                <br />
                <asp:Label ID="lblDescriptionDescr" runat="server" Text="<%$ Resources : lblDescriptionDescr_Text %>"
                    Font-Underline="True"></asp:Label>
                <br />
                <asp:Label ID="lblDescription" runat="server" />
                <br />
                <br />
                <asp:MultiView ID="mvRecordOrCancel" runat="server">
                    <asp:View ID="viewRecord" runat="server">
                        <asp:Button ID="btnRecord" runat="server" Text="<%$ Resources : btnRecord_Text %>"
                            OnClick="btnRecord_Click" />&nbsp;
                        <asp:DropDownList ID="ddlRecordScheduleType" runat="server">
                            <asp:ListItem Value="0" Text="<%$ Resources : ddlRecordScheduleType_Once %>"></asp:ListItem>
                            <asp:ListItem Value="1" Text="<%$ Resources : ddlRecordScheduleType_Daily %>"></asp:ListItem>
                            <asp:ListItem Value="2" Text="<%$ Resources : ddlRecordScheduleType_Weekly %>"></asp:ListItem>
                            <asp:ListItem Value="3" Text="<%$ Resources : ddlRecordScheduleType_EveryTimeOnThisChannel %>"></asp:ListItem>
                            <asp:ListItem Value="4" Text="<%$ Resources : ddlRecordScheduleType_EveryTimeOnEveryChannel %>"></asp:ListItem>
                            <asp:ListItem Value="5" Text="<%$ Resources : ddlRecordScheduleType_Weekends %>"></asp:ListItem>
                            <asp:ListItem Value="6" Text="<%$ Resources : ddlRecordScheduleType_WorkingDays %>"></asp:ListItem>
                        </asp:DropDownList>
                    </asp:View>
                    <asp:View ID="viewcancel" runat="server">
                        <asp:Button ID="btnCancelRecording" runat="server" Text="<%$ Resources : btnCancelRecording_Text %>"
                            OnClick="btnCancelRecording_Click" />
                    </asp:View>
                </asp:MultiView>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
